/* Dashboard */

.ct-area {

    fill-opacity: .33 !important;

}

.ct-series-a .ct-area, .ct-series-a .ct-slice-pie {

    fill: #7a6fbe !important;

}

.ct-golden-section {

    overflow: hidden;

}

.ct-line {

    stroke-width: 3px !important;

}

.ct-point {

    stroke-width: 7px !important;

}



/* Calender */

.fc-event {

	border-radius: 2px !important;

	border: none !important;

	cursor: move !important;

	font-size: 0.8125rem !important;

	margin: 5px 7px !important;

}

.fc-day-grid-event .fc-time {

    font-weight: 500 !important;

}

.fc-event .fc-content {

	color: #fff !important;

}

tr:first-child>td>.fc-day-grid-event {

    margin-top: 2px !important;

}



/* Range Slider */

.irs--modern .irs-from:before, .irs--modern .irs-single:before, .irs--modern .irs-to:before {

    border-top-color: #626ed4 !important;

}

.irs--modern .irs-line {

    background: #dee2e6 !important;

    border-color: #dee2e6 !important;

}

.irs--modern .irs-max, .irs--modern .irs-min {

    color: #adb5bd !important;

    background: #f8f9fa !important;

    font-size: 11px !important;

}

.irs--modern .irs-handle>i:nth-child(1) {

    width: 8px !important;

    height: 8px !important;

}

.irs--modern .irs-bar, .irs--modern .irs-from, .irs--modern .irs-single, .irs--modern .irs-to {

    font-size: 11px !important;

}

.irs--modern .irs-grid-text {

    font-size: 11px !important;

    color: #ced4da !important;

}

.irs--modern .irs-handle {

    border: 1px solid #a3adc1;

    border-top-width: 0 !important;

}

.irs--square .irs-line {

    background: #f6f6f6 !important;

    border-color: #f6f6f6 !important;

}

.irs--square .irs-max, .irs--square .irs-min {

    color: #ced4da !important;

    background: #f6f6f6 !important;

    font-size: 11px !important;

}

.irs--square .irs-bar, .irs--square .irs-from, .irs--square .irs-single, .irs--square .irs-to {

    background: #556ee6!important;

    font-size: 11px !important;

}

.irs--square .irs-handle {

    border: 2px solid #556ee6 !important;

    width: 12px !important;

    height: 12px !important;

    top: 26px !important;

    background-color: #fff!important;

}

.irs--square .irs-grid-text {

    font-size: 11px;

    color: #ced4da !important;

}



/* Sweet Alert */

.swal2-styled:focus {

    box-shadow: none !important;

}



/* Form Advanced */

.select2-container .select2-selection--single {

    background-color: #fff !important;

    border: 1px solid #ced4da !important;

    height: 38px !important;

}

.select2-container .select2-selection--single:focus {

	outline: none !important;

}

.select2-container .select2-selection--single .select2-selection__rendered {

    line-height: 36px !important;

    padding-left: 12px !important;

    color: #495057 !important;

}

.select2-container .select2-selection--single .select2-selection__arrow {

    height: 34px !important;

    width: 34px !important;

    right: 3px !important;

}

.select2-container .select2-selection--single .select2-selection__arrow b {

	border-color: #adb5bd transparent transparent transparent !important;

	border-width: 6px 6px 0 6px !important;

}

.select2-container--open .select2-selection--single .select2-selection__arrow b {

	border-color: transparent transparent #adb5bd transparent !important;

	border-width: 0 6px 6px 6px !important;

}

.select2-container--default .select2-results__option[aria-selected=true] {

	background-color: #f8f9fa !important;

	color: #16181b !important;

}

.select2-container--default .select2-results__option[aria-selected=true]:hover {

	background-color: #ed2986 !important;

	color: #fff !important;

}

.select2-results__option {

	padding: 6px 12px !important;

}

.select2-dropdown {

	border-color:rgba(0,0,0,.15) !important;

}

.select2-container .select2-selection--multiple {

	min-height: 38px !important;

	background-color: #fff !important;

	border: 1px solid #ced4da !important;

}

.select2-container .select2-selection--multiple .select2-selection__rendered {

	padding: 2px 10px !important;

}

.select2-container .select2-selection--multiple .select2-search__field {

	border: 0;

	color: #495057 !important;

}

.select2-container .select2-selection--multiple .select2-search__field::-webkit-input-placeholder {

	color: #495057 !important;

}

.select2-container .select2-selection--multiple .select2-search__field::-moz-placeholder {

	color: #495057 !important;

}

.select2-container .select2-selection--multiple .select2-search__field:-ms-input-placeholder {

	color: #495057 !important;

}

.select2-container .select2-selection--multiple .select2-search__field::-ms-input-placeholder {

	color: #495057 !important;

}

.select2-container .select2-selection--multiple .select2-search__field::placeholder {

	color: #495057 !important;

}

.select2-container .select2-selection--multiple .select2-selection__choice {

	background-color: #e9ecef !important;

	border: 1px solid #dee2e6 !important;

	border-radius: 1px !important;

}

.select2-container--default .select2-search--dropdown .select2-search__field {

    border: 1px solid #ced4da !important;

    background-color: #fff !important;

    color: #74788d !important;

    outline: 0 !important;

}



/* color */

.sp-hidden {

	display: none !important;

}



/* Form File Upload */

.dropzone {

	min-height: 230px !important;

    border-style: dashed !important;

	background: transparent !important;

}





/* Chart Chartlist */

.ct-grid {

    stroke: rgba(52,58,64,.09) !important;

    stroke-width: 1px;

    stroke-dasharray: 3px !important;

}

.ct-series-c .ct-area, .ct-series-c .ct-slice-pie {

    fill: #343a40 !important;

}

.ct-series-b .ct-area, .ct-series-b .ct-slice-pie {

    fill: #f8b425 !important;

}



/* C3 Chart */

.c3 path.domain, .c3-axis.c3-axis-x line, .c3-axis.c3-axis-y line {

    stroke: #ced4da !important;

}

.c3-areas-Pageview .c3-area {

    opacity: .2 !important;

}

.c3-legend-item {

    font-size: 14px !important;

}

.c3-chart-arcs-title {

    font-size: 18px !important;

}
.milidaro_flag{
    border: 1px solid #ed2986 !important;
    background: #ed2986 !important;
}

        /* Container Styling */
        .project-card {
            display: flex;
            align-items: center;
            background: #f8f9fa;
            padding: 10px 15px;
            border-radius: 10px;
            box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
            justify-content: space-between;
        }

        /* Circular Progress Bar */
        .knob-container {
            width: 50px;
        }

        /* Text Styling */
        .text-container {
            flex-grow: 1;
            font-size: 14px;
            color: #ff4081;
            font-weight: bold;
            text-align: center;
        }

        /* Box for Number */
        .count-box {
            background: #ff4081;
            color: white;
            padding: 5px 12px;
            border-radius: 5px;
            font-weight: bold;
            font-size: 14px;
        }

        /* Container for the status cards */
        .status-container {
            display: flex;
            gap: 15px;
            align-items: center;
        }

        /* Individual Status Box */
        .status-box {
            background: white;
            padding: 15px;
            border-radius: 10px;
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
            position: relative;
            width: 100%;
            height: 120px;
            box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
        }

        /* Icon Styling */
        .status-box i {
            font-size: 30px;
            color: black;
        }

        /* Text Below Icon */
        .status-text {
            margin-top: 10px;
            font-size: 14px;
            text-align: center;
            font-weight: bold;
        }

        /* Number Badge */
        .status-badge {
            position: absolute;
            top: -5px;
            right: -5px;
            background: #ff4081;
            color: white;
            padding: 5px 10px;
            border-radius: 5px;
            font-weight: bold;
            font-size: 14px;
        }


        .card-header {
            font-weight: bold;
        }
        .project-card {
            padding: 30px;
            border-radius: 10px;
            color: white;
            text-align: center;
            font-size: 18px;
            display: flex;
            align-items: center;
            justify-content: center;
            gap: 10px;
        }
        .active-projects {
            background-color: #28a745;
        }
        .pending-projects {
            background-color: #f4b400;
        }
        .overdue-projects {
            background-color: #a72828;
        }
        .complete-projects {
            background-color: #36d317;
        }
        .dailies-status-card {
            text-align: center;
            padding: 40px;
            border-radius: 10px;
            background-color: white;
            box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.2);
        }
        .recent-activity {
            background-color: white;
            padding: 15px;
            border-radius: 10px;
            box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.2);
        }
        .transparent_back{
            background-color: transparent;
            border: none;
            color: black;
            font-size: 24px;
        }
        .fc-event {
    cursor: pointer !important;
}